com.taosdata.jdbc.utils

## Class NullType

- java.lang.Object
- - com.taosdata.jdbc.utils.NullType

    public class NullType
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`NullType()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static long` `getBigIntNull()`
`static byte` `getBinaryNull()`
`static byte` `getBooleanNull()`
`static long` `getDoubleNull()`
`static int` `getFloatNull()`
`static int` `getIntNull()`
`static byte[]` `getNcharNull()`
`static short` `getSmallIntNull()`
`static byte` `getTinyintNull()`
`static boolean` `isBigIntNull(long val)`
`static boolean` `isBinaryNull(byte[] val, int length)`
`static boolean` `isBooleanNull(byte val)`
`static boolean` `isDoubleNull(double val)`
`static boolean` `isFloatNull(float val)`
`static boolean` `isIntNull(int val)`
`static boolean` `isNcharNull(byte[] val, int length)`
`static boolean` `isSmallIntNull(short val)`
`static boolean` `isTinyIntNull(byte val)`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### NullType

    public NullType()

### Method Detail

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### isBooleanNull

    public static boolean isBooleanNull(byte val)

#### isTinyIntNull

    public static boolean isTinyIntNull(byte val)

#### isSmallIntNull

    public static boolean isSmallIntNull(short val)

#### isIntNull

    public static boolean isIntNull(int val)

#### isBigIntNull

    public static boolean isBigIntNull(long val)

#### isFloatNull

    public static boolean isFloatNull(float val)

#### isDoubleNull

    public static boolean isDoubleNull(double val)

#### isBinaryNull

    public static boolean isBinaryNull(byte[] val,
                                       int length)

#### isNcharNull

    public static boolean isNcharNull(byte[] val,
                                      int length)

#### getBooleanNull

    public static byte getBooleanNull()

#### getTinyintNull

    public static byte getTinyintNull()

#### getIntNull

    public static int getIntNull()

#### getSmallIntNull

    public static short getSmallIntNull()

#### getBigIntNull

    public static long getBigIntNull()

#### getFloatNull

    public static int getFloatNull()

#### getDoubleNull

    public static long getDoubleNull()

#### getBinaryNull

    public static byte getBinaryNull()

#### getNcharNull

    public static byte[] getNcharNull()